%define _libdir64 %{_prefix}/lib64
%define dotests 1

Name: lzop
Version: 1.04
Release: 1
Summary: Real-time file compressor
Group: Applications/Archiving
License: GPLv2+
URL: http://www.%{name}.org/
Source0: http://www.%{name}.org/download/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: lzo-devel >= 2.10-2
Requires: lzo >= 2.10-2

%description
lzop is a compression utility which is designed to be a companion to gzip. It
is based on the LZO library and its main advantages over gzip are much higher
compression and decompression speed at the cost of compression ratio.
lzop was designed with reliability, speed, portibility and as a reasonable drop-in compatiblity to gzip.

%prep 
%setup -q 
rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -fr *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export RM="/usr/bin/rm -f"
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

# first build the 64-bit version
cd 64bit
export OBJECT_MODE=64
export CC="gcc"
export CFLAGS="-maix64 -O2"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static

make %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
	  ( gmake -k check || true )
fi


# now build the 32-bit version
cd ../32bit
export OBJECT_MODE=32
export CC="gcc"
export CFLAGS="-maix32 -O2"
export LDFLAGS="-L/opt/freeware/lib -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static

make %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
          ( gmake -k check || true )
fi

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

#install 64bit version

cd 64bit
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_64
    done
)



#install 32bit version
cd ../32bit
export OBJECT_MODE=32
make DESTDIR=%{buildroot} install-strip

(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_32
	ln -sf "$fic"_64 $fic
    done
)

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/AUTHORS 32bit/COPYING 32bit/NEWS 32bit/README 32bit/THANKS 32bit/ChangeLog
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Sat Nov 03 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.04-1
- Initial port on AIX 
